Page MenuHomePhabricator

load.php TypeError: span.firstChild.getAttribute (due to HotCat code) when navigating through a PDF's pages
Closed, ResolvedPublic

Description

When on https://commons.wikimedia.org/wiki/File:Commons_License_templates_usage_statistics_-_October_2016.pdf and clicking the preview's "Next page" link (which leads to https://commons.wikimedia.org/w/index.php?title=File:Commons_License_templates_usage_statistics_-_October_2016.pdf&page=2 ), I get an error notification on the top right stating:

https://commons.wikimedia.org/w/load.php?debug=false&lang=en&modules=ext.centralNotice.choiceData%2Cdisplay%2CgeoIP%2CkvStore%2CkvStoreMaintenance%2CstartUp%7Cext.centralauth.ForeignApi%7Cext.echo.api%2Cinit%7Cext.eventLogging%2CnavigationTiming%2CwikimediaEvents%7Cext.eventLogging.subscriber%7Cext.gadget.AjaxQuickDelete%2CCatScan2-link%2CCollapsibleTemplates%2CCropTool%2CDelReqHandler%2CGlamorous%2CGoogleImages%2CHotCat%2CImprovedUploadForm%2CLanguageSelect%2CLong-Image-Names-in-Categories%2CPermissionOTRS%2CQuickDelete%2CRenameLink%2CRotateLink%2CSlideshow%2CSum-it-up%2CTineye%2CUdelReqHandler%2CUploadWizard%2CWatchlistNotice%2CWikiMiniAtlas%2CZoomViewer%2Cadvanced-search%2Ccontribsrange%2Cfastcci%2ClibCommons%2ClibJQuery%2ClibUtil%2Crightsfilter%7Cext.gadget.jquery.blockUI%7Cext.uls.eventlogger%2Cinit%7Cext.visualEditor.targetLoader%7Cext.wikimediaEvents.loggedin%7Cjquery.checkboxShiftClick%2CgetAttrs%2ChighlightText%2CmakeCollapsible%2Cmw-jump%2Cplaceholder%2Cspinner%2Csuggestions%7Cmediawiki.ForeignApi%2Cfilewarning%2CsearchSuggest%2Cstorage%7Cmediawiki.ForeignApi.core%7Cmediawiki.action.view.metadata%7Cmediawiki.api.watch%7Cmediawiki.page.image.pagination%7Cmediawiki.page.ready%7Cmediawiki.page.watch.ajax%7Cmediawiki.ui.button%2Cicon%7Cmmv.bootstrap%7Cmmv.bootstrap.autostart%7Coojs%2Coojs-ui-core%2Csite%7Coojs-ui-core.styles%7Coojs-ui.styles.icons%2Cindicators%2Ctextures%7Cpdfhandler.messages%7Cschema.NavigationTiming%2CSaveTiming%2CUniversalLanguageSelector&skin=monobook&version=0lsrakz at line 197: TypeError: span.firstChild.getAttribute is not a function

Using Monobook and Firefox 49.0.1 on Windows 7 64-bit.

Event Timeline

Storkk created this task.Oct 3 2016, 2:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2016, 2:23 PM
Storkk renamed this task from Error in https://commons.wikimedia.org/w/load.php version=0lsrakz at line 197: TypeError: span.firstChild.getAttribute is not a function to load.php TypeError: span.firstChild.getAttribute when navigating through a PDF's pages.Oct 3 2016, 2:25 PM
Storkk updated the task description. (Show Details)

I get the same error following the same steps on Firefox 49.0 on 64b linux as well, fwiw, so it's not some weird cookie or cache issue.

The exception is coming from HotCat code…

matmarex removed a subscriber: matmarex.Oct 3 2016, 10:49 PM
Aklapper renamed this task from load.php TypeError: span.firstChild.getAttribute when navigating through a PDF's pages to load.php TypeError: span.firstChild.getAttribute (due to HotCat code) when navigating through a PDF's pages.Nov 14 2016, 8:39 PM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptNov 18 2016, 1:30 PM

Possible dupe with T155893 ?

matmarex closed this task as Resolved.EditedOct 9 2017, 12:32 PM
matmarex assigned this task to Perhelion.
matmarex added a subscriber: Perhelion.
Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptOct 9 2017, 12:32 PM